/**
 * author: dabao
 */
var VUE = null
window.addEventListener("load", function() {
	VUE = new Vue({
		el: '#app',
		data() {
			return {
				form: {
					enterpriseSubmitsTheRectificationDate: '',//2024-03-08 00:00:00',
					// 检查人员
					hdInspectExpert: '',//'发发发',
					// 发现问题
					comment: '',//'隐患描述',
					// 检查依据
					basis: '',//'测试依据',
					// 隐患整改建议
					verifyStatus: '',
					// 隐患整改日期
					hdRectificationDate: '',//'2024-03-08',
					// 隐患整改图片
					hdRectificationPic: '',
					hdPic: '',
					// 审核人
					reviewer: "",
					recEvaluation: '',
					verifyStatusString: '', // 审核状态
				},
				// 企业id
				// companyId: localStorage.getItem('companyId'),
				previewUrl: axios.defaults.baseURL,
				disabled: false,
			}
		},
		mounted() {
			this.detail()
		},

		methods: {
			 getEnterprisePlansCompanyDetail(row) {
			      this.detailFlag = true;
			      this.adddialogform = true;
			      getEnterprisePlansCompanyDetail({
			        planId: row.planId,
			        companyId: row.companyId,
			      }).then((res) => {
			        console.log("res.body.content[0]", res.body.content[0]);
			        this.formInfo = res.body.content[0];
			        this.filePathList = this.formInfo.drillPhotoList || [];
			      });
			    },
			 // 整改后照片
			transferUrl(hdRectificationPic) {
			  console.log(hdRectificationPic);
			  if (hdRectificationPic) {
				return (
				  axios.defaults.baseURL +
				  "/hd_rectification_pic_to_verify/" +
				  hdRectificationPic.split("\\hd_rectification_pic_to_verify\\")[1]
				);
			  } else {
				return null;
			  }
			},
			detail(){
				http.get('/api/enterpriseDrills', {
					page: 0, // 每次请求增加下一页
					size: 1,
					planId: gemhoUtil.getParameter('planId'),
					companyId: gemhoUtil.getParameter('companyId'),
				}).then((res) => {
					this.loading = false; // 加载状态结束
					this.form = res.body.content[0]
					this.disabled = true
				})
			},
		},
	});
});